#
# spec file for package f-spot (Version 0.6.1.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           f-spot
Version:        0.6.1.5
Release:        1.2.1
License:        GPLv2+
Summary:        GNOME Photo Management Application
Url:            http://www.gnome.org/projects/f-spot/
Group:          Productivity/Graphics/Viewers
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM f-spot-fix-findbar-crash-bnc594142.patch bnc594142 bgo593152 saarmstrong@novell.com -- Copied from upstream master, not in 0.6 branch
Patch0:         f-spot-fix-findbar-crash-bnc594142.patch
BuildRequires:  beagle-devel
BuildRequires:  fdupes
BuildRequires:  gconf-sharp2
BuildRequires:  glade-sharp2
BuildRequires:  glib-sharp2
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-screensaver
BuildRequires:  gnome-sharp2
BuildRequires:  gtk-sharp2
BuildRequires:  gtk-sharp2-gapi
BuildRequires:  intltool
BuildRequires:  libexif-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgphoto2-devel
BuildRequires:  liblcms-devel
BuildRequires:  mono-basic
BuildRequires:  mono-data-sqlite
BuildRequires:  mono-devel
BuildRequires:  ndesk-dbus-glib-devel
BuildRequires:  update-desktop-files
Requires:       brasero
Requires:       dbus-1-x11
Requires:       dcraw
Requires:       libgphoto2
Requires:       mono-core
Provides:       %{name}-devel = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
####
# For maintenance update only, to fix dependencies with lang
# package
# We want to keep the old lang package installable with this
# updated package, to avoid requiring a lang update; but we also
# want to make it possible to install the new lang package.
# Note that we're using a branch that is string-frozen.
####
%define release_version 0.6.1.3
Provides:       %{name} = %{release_version}
Requires:       %{name}-lang >= %{release_version}
Requires:       %{name}-lang <= %{version}

%description
F-Spot is a full-featured personal photo management application for the
GNOME desktop.

F-Spot simplifies digital photography by providing intuitive tools to
help you share, touch-up, find and organize your images.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags} -fstack-protector -fno-strict-aliasing"
%configure\
	--libexecdir=%{_prefix}/lib/f-spot \
	--disable-scrollkeeper
#%__make %{?jobs:-j%jobs}
%__make

%install
%makeinstall
%find_lang %{name}
%suse_update_desktop_file -C "Organize digital photographs" -G "Photo Browser" -N "F-Spot" %{name}
%suse_update_desktop_file %{buildroot}%{_datadir}/applications/screensavers/f-spot-screensaver.desktop
%suse_update_desktop_file f-spot-import
%suse_update_desktop_file f-spot-view
rm %{buildroot}%{_libdir}/*/*.*a
# Not sure if this is TRT...
%__rm -rf %{buildroot}%{_libdir}/gio-sharp-unstable
%__rm -rf %{buildroot}%{_libdir}/pkgconfig/gio-sharp-unstable.pc
%fdupes -s %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{_bindir}/*
%{_libdir}/f-spot
%{_datadir}/applications/*.desktop
%{_datadir}/applications/screensavers/*.desktop
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/f-spot
%{_libdir}/pkgconfig/*.pc
%{_libexecdir}/gnome-screensaver/gnome-screensaver/*

%files lang -f %{name}.lang
%defattr(-, root, root)
%define __find_provides env sh -c 'filelist=($(grep -v -E "%{_libdir}/%{name}/extensions|Mono.Addins")) && { printf "%s\\n" "${filelist[@]}" | %{_prefix}/lib/rpm/find-provides && printf "%s\\n" "${filelist[@]}" | %{_bindir}/mono-find-provides ; } | sort | uniq'

%changelog
* Wed Apr  7 2010 saarmstrong@novell.com
- Add f-spot-fix-findbar-crash-bnc594142.patch to prevent crash
  in findbar. bnc#594142 bgo#593152
* Thu Dec 10 2009 vuntz@opensuse.org
- Maintenance update to a new bugfix-only upstream version. See
  bnc#550951.
- We change the handling of the lang package to make it possible to
  make f-spot installable with the old lang package as well as the
  new one.
- Changes from version 0.6.1.5:
  + make IconView responsive to mouseclicks on gdk 2.18
    (bgo#600032)
  + do not ignore .rw2 files (bgo#593474)
  + avoid an Array.OORE on empty dbs (bgo#566977)
- Changes from version 0.6.1.4:
  + keep sorting on startup (bgo#598714)
  + fix a NRE on LastRollDialog (bgo#598009)
  + fix the toolbar 2.28-ification (bgo#591421)
  + accept --sync as comandline parameter
  + avoid crashing on AdjustTimeDialog (bgo#591402)
  + allow more than 60 pictures per Facebook albums
  + backported translations
* Wed Sep 30 2009 dimstar@opensuse.org
- Drop sqlite2 Requires:, it was needed to update databases of
  f-spot pre 0.3.5 to newer versions. Oldest still maintained
  openSUSE release 10.3 was shipped with f-spot 0.4.0, so no
  problems with updates should appear.
* Tue Sep 29 2009 dimstar@opensuse.org
- Update to version 0.6.1.3:
  + bgo#593561 - call g_type_init () prior to using gconf
  + bgo#595606 - avoid echoing an entry as tip
  + bgo#596071 - check for existing files on version creation
  + bgo#595228 - set the progress dialog properties atomically
  + bgo#595418 - avoid a crash in the facebook extensions
  + fix slideshow transitions on gdk csw (>=2.18)
  + bgo#595503 - prevent a crash on broken exif data
  + bgo#596240 - support for X-GNOME-FullName in .desktop files
  + bgo#592278 - avoid locking on loading tiffs
  + bgo#593243 - better support for parallel build
  + bgo#596279 - avoid a crash on some broken color profiles
  + bgo#596196 - don't copy files to memory first at import
    (libgphoto2 >= 2.4, for usb cameras only)
  + Updated translations.
* Mon Sep 28 2009 dimstar@opensuse.org
- Update to version 0.6.1.2:
  + bgo#594016  no longer fails to upgrade if you have photos from
    post 2038
  + use interpolation on drawing
  + allows to run on gtk2.14
* Wed Aug 26 2009 vuntz@novell.com
- Update to version 0.6.1.1:
  + some files were missing from the tarball
  + fix SendEmail for thunderbird3beta
- Changes from version 0.6.1.0:
  + fix some crashers
  + reduce the both the package size and installed size by a few
    Megs
  + works on gtk+ > 2.17
  + load .pcx files
  + extendable slideshow
  + ~30 bugs fixed
  + updated translations
- Use spec-cleaner script to reorder lines in preamble and split
  BuildRequires/Requires on separate lines.
* Sat Aug  8 2009 vuntz@novell.com
- Update to version 0.6.0.0:
  + no longer depends on libeog
  + fighting against deprecation, on the path to gnome3
  + new viewer widget
  + new widget showing folders organisation
  + new Preference dialog
  + db and config moved to .config (or whatever is pointed by xdg
    config)
  + tons of bugs fixed (really)
  + updated translations
- Drop all patches (camera_detect.patch, sidepane_width.patch,
  catalog_init.patch, file_import.patch, bgo557793.patch,
  theme.patch, prefdialog.patch, ellipsize.patch, hashjob.patch,
  import-nautilus.patch, bnc_449687.patch, bnc462298.patch,
  bnc462294.patch, f-spot-no-X-SuSE-translate.patch,
  brasero-replace-ncb.patch): they're all fixed upstream.
- Remove call to autoreconf and intltoolize.
- Remove art-sharp2, dbus-1-mono, gtkhtml314-sharp,
  libglade2-devel, libusb-devel, ndesk-dbus-glib, sqlite2-devel
  BuildRequires.
- Add beagle-devel BuildRequires.
* Mon Jul 20 2009 ke@suse.de
- Convert .spec to UTF-8.
* Tue May 12 2009 vuntz@novell.com
- Tag patches.
* Thu May  7 2009 lmedinas@gmail.com
- Add brasero-replace-ncb.patch to replace depracated
  nautilus-cd-burner by brasero from depencencies.
* Fri May  1 2009 vuntz@novell.com
- Remove unneeded BuildRequires: docbook_4.
- Remove AutoReqProve: it's default now.
- Remove checks for old versions of openSUSE.
- Do not package omf files twice.
- Clean up file list a bit.
* Mon Mar  9 2009 vuntz@novell.com
- Remove unneeded BuildRequires: libwnck-devel, perl-XML-Parser.
- Pass --disable-scrollkeeper to configure.
- Remove old scrollkeeper work-around.
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Sun Jan 25 2009 vuntz@novell.com
- Add f-spot-no-X-SuSE-translate.patch and call
  %%suse_update_desktop_file on the relevant files. Part of
  bnc#445728.
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Wed Dec 31 2008 gburt@suse.de
- Fix crashes for users migrating from old versions and users
  with zero photos (bnc#462298 and bnc#462294)
* Wed Dec 17 2008 mauro@suse.de
- Added patch bnc_449687.patch to fix bnc#449687
* Sat Dec  6 2008 mauro@suse.de
- Updated translations.
* Fri Dec  5 2008 sdelcroix@novell.com
- Fix 2 import issues triggered by the nautilus/gvfs changes in -rc1
* Mon Nov 24 2008 sdelcroix@novell.com
- Backporting bugfixes from trunk
  + prefidialog.patch, fix a crasher (bgo#560265)
  + ellipsize.patch, no longer ellipsize the menu entries
  + hashjob.patch: provide feedback on the hashjob dialog (bgo#558671),
  hash new versions on SaveVersion ().
* Thu Nov  6 2008 sdelcroix@novell.com
- Backporting bugfixes from trunk
  + file_import.patch, load images from the right mass-storage camera if
    there's more than one connected (bgo#551803)
  + bgo557793.patch, fixing a crasher with color management turned on
    (bgo#557793)
  + theme.patch, fixing theme loading on gtk+ > 2.12.4 (no bug reported)
* Tue Nov  4 2008 sdelcroix@novell.com
- Patch for a bug affecting all localized users
* Sat Oct 25 2008 sdelcroix@novell.com
- Patch for the sidepane width bug
- Patch to only show one camera in the import dialog
* Mon Oct 20 2008 sdelcroix@novell.com
- Update to version 0.5.0.3
  + fix a (yet another) MAJOR WTF with the duplicate detection code
  + fix subselect column names for sqlite > 3.6.0
  + fix the ChangePath extension
  + updated translations
* Mon Oct  6 2008 ajorgensen@novell.com
- Update to version 0.5.0.2:
  + fix a major memory leakage on Export
  + avoid the spinning disk effect on upgrade from pre-0.5.0
    versions. That also means duplicate detection will only work
    for newly imported images. An extension for computing hashes on
    existing images will be available.
  + updated translations
* Wed Oct  1 2008 mboman@suse.de
- Update to version 0.5.0.1:
  + bugfix release to workaround a bug in gdk-pixbuf
  + Translation updates
- Remove f-spot-fix-desktop-file.patch. Fixed upstream
* Fri Sep 19 2008 ajorgensen@novell.com
- Update to version 0.5.0:
  + new sidebar, reworked editors (Ruben, SoC)
  + color profile support (Wasja, SoC)
  + duplicate detection at import (Thomas)
  + reworked db interractions, with O(1) queries
  + reducing and batching db access
  + light-speed tagging
  + FullScreen mode enhancement
  + new extensions, updated docs, updated translations
  + hundreds of bugfixes (Lorenzo)
- Remove upstreamed patches
* Tue Aug 19 2008 maw@suse.de
- Update to version 0.4.4:
  + Various FullScreen enhancements: fading widgets, snapped on
    screen edges, etc
  + Rating with hotkeys: use Alt-0 to Alt-5 in browse or edit mode
    to rate
  + Reduce startup time by ~40%%, depending on your db size
  + Push back the "sort tag by popularity" feature removed on
    0.4.3.1
  + Choose the theme you prefer for f-spot, even switch theme
    without restart with gtk-sharp 2.12.2
  + Reduce the verbosity of the output log; use --debug for full
    debugging output
  + Migrate CDExport to gio
  + Various other fixes and new capabilities
  + Updated translations
- Add f-spot-gtype.patch, which removes some deprecated usage
  that's stuck around
- Add f-spot-gio-destdir.patch.
* Wed Apr 30 2008 maw@suse.de
- Update to version 0.4.3.1:
  + Bugfix release that reverts popularity sorting, which was
    causing a long wait at startup with some dbs.
* Tue Apr 29 2008 maw@suse.de
- Update to the final released version of 0.4.3:
  + new print dialog with preview, new print options
  + new filmstrip widget in Edit mode
  + allow custom selection ratios for cropping
  + sort tags by popularity (desc) in tag-typing autocompletion
  +  x-content/* support, integrate seemlessly with gnome 2.22
  + works again on ppc architecture
  + tons of bugfixes, translation updates and improvments all over
    the place
- Drop f-spot-gtkhtml-checks.patch.
* Mon Apr 28 2008 ajorgensen@novell.com
- Remove Mono.Addins.* and all f-spot extensions assemblies from provides
  Partially fixes bnc#381750
* Tue Apr 15 2008 maw@suse.de
- Rename f-spot-gthtml-checks.patch to f-spot-gtkhtml-checks.patch.
* Tue Apr 15 2008 maw@suse.de
- Update to svn revision 3834, close to what will be version 0.4.3
- Add f-spot-gthtml-checks.patch.
* Tue Mar 25 2008 rodrigo@suse.de
- Tag patches and rename one that didn't follow naming conventions
* Mon Mar 24 2008 ro@suse.de
- added ndesk-dbus-glib-devel to buildreq
* Thu Mar  6 2008 maw@suse.de
- Fix the build when against newer versions of intltool.
* Fri Feb 29 2008 jpr@suse.de
- Disable parallel build, seems to break things
* Thu Feb 28 2008 jpr@suse.de
- Update to 0.4.2
  * rating and filter on rating
  * auto-upgrade db from sqlite2 to sqlite3
  * expose the stores through dbus
  * MonoDevelop solution file
  * new extensions, countless bugfixes
  * bundle dbus-sharp only if it's not installed
  * Keep full uris for photo and versions internally, enable r+j
  versioning and things.
  * .arw support (sony A100)
  * Some new extensions: RawPlusJpeg, DevelopInUFRaw, SyncCatalog
  * Reworked TagView
  * Inhibit/Unhinibit the screensaver in slideshow.
  * 'No Image' and 'Alternate file' buttons on the edit tag dialog
  * Some additional fixes to the slideshow mode
  * Fixes some regressions of 0.4.0
  * Proteced version
  * Updated translations
  * Fixes bgo #462939, #463694, #463789, #462069, #464981, #463690,
  [#471529], #473812, #391470, #474142, #474137, #474536, #345864,
  [#469180], #473848, #362279, #365801, #476508, #432294, #476626,
  [#443016], #457314, #477597, #477690, #477871, #470482, #478447,
  [#477127], #477131, #478875, #471198, #479256, #427478, #467010,
  [#430249], #479489, #479744, #479745, #480286, #479423, #479961,
  [#483588], #484099, #477597, #471198, #434094, #461447, #485389,
  [#486560], #486913, #488695 bnc #304124, #235647
- Remove f-spot-configure.patch, the screensaver path is
  configurable now
- Remove f-spot-bgo463789.patch and f-spot-bnc304124.patch, they
  were upstreamed
- Remove f-spot-bnc235647.patch, it was fixed generically upstream
- Remove f-spot-bnc325997.patch, it was upstreamed
- Remove obsolete %%suse_version check
- Fix BuildRequires, libgphoto2 is conditional and libicu is bogus
* Wed Dec 12 2007 jpr@suse.de
- Require sqlite for upgrading from older versions (#327122)
- Fix crash with PicasaWeb Export (#325997)
- Fix import error (#304124)
* Mon Sep 24 2007 lewing@suse.de
- Add incredibly simple fix to make Help actually work.  Fixes bnc
  [#235647].
* Mon Sep  3 2007 lewing@suse.de
- Fix for bnc #304124 (Importing specific jpg files causes error)
* Thu Aug  9 2007 maw@suse.de
- Fix up the -lang subpackage.
* Tue Aug  7 2007 mauro@suse.de 
- Split out a -lang subpackage
- Add %%fdupes stuff
* Fri Aug  3 2007 mauro@suse.de
- Updated to 0.4.0
- bugfixes for #397171, #418583, #461708, #440001, #460125.
- Added Portuguese (pt) to ALL_LINGUAS
* Fri Jul 20 2007 sbrabec@suse.cz
- Explicitly added needed libexif-devel to BuildRequires.
* Thu May 24 2007 stbinner@suse.de
- remove X-SuSE-translate from .desktop file
* Tue May 22 2007 maw@suse.de
- Add libusb-devel as a build requirement.
* Thu Mar  8 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlink (#248676).
- Fixed BuildRequires.
* Mon Mar  5 2007 maw@suse.de
- Update to version 0.3.5
- Remove upstreamed f-spot-ppc.patch.
* Fri Feb  2 2007 sbrabec@suse.cz
- Removed references to /opt/gnome.
- Spec file cleanup.
* Tue Jan 16 2007 lewing@suse.de
- Small patch to make fix the build for ppc. Fixes #235418
* Mon Jan 15 2007 lewing@suse.de
- Upate to 0.3.1 coverss fate 3418, 4079, 4084, 4090, 4710 and
  bug 206024.
* Fri Dec  8 2006 lewing@suse.de
- Make autobuild happy by moving the docs.
* Thu Nov 30 2006 lewing@suse.de
- Update to f-spot 0.3.0 See Fate #301234.
* Mon Nov 20 2006 lewing@suse.de
- Fix picasa web export.  See b.n.c #222659
* Sat Oct 21 2006 meissner@suse.de
- buildrequire libgphoto2-devel
* Thu Oct 12 2006 lewing@suse.de
- update to 0.2.2 upstream release.  See Fate #301234.
  - New query interface from (Gabriel Burt).
  - Switch to Alp Toker's new managed dbus-sharp (Stephane Delcroix)
  - Lots of Picasa Web updates (Stephane Delcroix).
  - Support for importing images with existing tag metadata (Bengt Thuree)
  - Improved XMP reading and writing (Karl Palsson, Bengt).
  - Update to a more recent version of semweb.
  - Tons of bug fixes, see ChangeLog and bugzilla.
* Mon Sep 25 2006 lewing@suse.de
- added libgphoto2 dep
* Tue Sep 12 2006 lewing@suse.de
- sync to upstream 0.2.1
  - collection of various bugfixes
* Mon Sep 11 2006 jhargadon@suse.de
- added missing directory ownership in the specfile
* Mon Aug 28 2006 lewing@suse.de
- sync to upstream 0.2.0
  - fixes from f-spot 0.2.0
  - Initial gnome-vfs --view support.
  - Impoved static html and folder export logic.
  - Improved loupe.
  - Fixes for mono head.
  - Many many more fixes see ChangeLog.
  - fixes from f-spot 0.1.12
  - Fix exif description bug.
  - Fix open with exception handling.
  - Enable translations in screensaver.
  - Fix the import dialog recursion issues.
  - Handle self referencial IFDs in tiff/exif.
  - Don't duplicate photos if they are already in the right place.
  - Handle errors while sharpening and loading images.
  - Work around gtk+ filechooser bug.
  - Avoid long intervals with no refresh in slideshow.
  - Handle errors while attempting to adjust colors.
  - Avoid raising the main window above the fullscreen window.
  - Make the importer handle cancelation properly.
  - When copying files unset the readonly flag.
  - Make the screensaver setup logic also handle the mode.
  - Improve missing file handling.
  - Start import immediately if path is passed on the command line.
  - Many more fixes
* Mon Jun 26 2006 gekker@suse.de
- Update translations for ja, zh_CN, zh_TW
* Thu Jun 22 2006 gekker@suse.de
- Update translations for cs, hu
* Thu Jun 22 2006 gekker@suse.de
- Fix 0 byte importugly patch (#186718)
* Mon Jun 19 2006 lewing@suse.de
- Fix startup notification for f-spot in the remote control case. (#185212)
- Add HigMessageDialog.cs to POTFILES.in (#181163)
* Fri Jun 16 2006 gekker@suse.de
- Mark string as translatable (#181165)
- Update translations for cs,hu,ja
* Fri Jun  9 2006 gekker@suse.de
- Update translation for cs
* Fri Jun  9 2006 lewing@suse.de
- Fix exif description bug.  (#183006)
- Fix open with exception handling. (#181090)
- Enable translations in screensaver. (#179466)
* Wed Jun  7 2006 gekker@suse.de
- Fix typo in specfile, actually use translation updates (#179466)
* Fri Jun  2 2006 lewing@suse.de
- Fix the import dialog recursion issues.  Fixes remaining 17343 issues.
- Handle self referencial IFDs in tiff/exif.  Fixes 180580.
- Don't duplicate photos if they are already in the right place.  Fixes 179728.
* Wed May 31 2006 gekker@suse.de
- Require dcraw (#175379)
* Tue May 30 2006 gekker@suse.de
- Update translations for de,es,fr,it,hu,ja,pt_br,zh_CN,zh_TW
  (#169089)
* Mon May 29 2006 lewing@suse.de
- Handle errors while sharpening and loading images. Fixes 177400 and 178681.
- Work around gtk+ filechooser bug.  Fixes 178122.
* Wed May 24 2006 lewing@suse.de
- Avoid long intervals with no refresh in slideshow.  Fixes 177745.
- Handle errors while attempting to adjust colors.  Fixes 178415.
- Avoid raising the main window above the fullscreen window.  Fixes 178358.
* Wed May 24 2006 lewing@suse.de
- Make the importer handle cancelation properly.  Fixes 173643.
- When copying files unset the readonly flag.  Fixes 177738.
* Fri May 19 2006 gekker@suse.de
- Update translations for cs, hu, and fi
* Fri May 19 2006 lewing@suse.de
- Make the screensaver setup logic also handle the mode.  Fixes 174901.
- Improve error handling in fix for 173681.
* Thu May 18 2006 lewing@suse.de
-  Improve missing file handlin to fix 173606.
* Wed May 17 2006 lewing@suse.de
- Start import immediately if path is passed on the command line.  Fixes 171034.
* Tue May 16 2006 lewing@suse.de
- Trap errors when syncing metadata to file in changed handler. Fixes 175505, 173687.
* Tue May 16 2006 lewing@suse.de
- Handle missing selection.  Fixes 174715.
* Sun May 14 2006 lewing@suse.de
- Fix bug in f-spot-copy patch that fixes 175581.
* Sat May 13 2006 lewing@suse.de
- Handle errors while editing galleries.  Fixes 174707.
- Apply new tags in import.  Fixes 174709.
* Thu May 11 2006 rml@suse.de
- Add Requires for dbus-1-x11, as f-spot needs the session bus
  (Novell bug #174865)
* Tue May  9 2006 lewing@suse.de
- Register register the dbus service as soon as possible.  Fixes 17335
* Tue May  9 2006 lewing@suse.de
- Handle errors while editing missing files.  Fixes 173680, 172302
* Fri May  5 2006 lewing@suse.de
- Fix loupe dllimport statements, fixes 168265.
- Do url escaping ourselves since mono changed.  Fixes 172466.
* Thu May  4 2006 lewing@suse.de
- Fix 161671 by handling corrupt db files with more grace.
- Fix spec file to apply patch5
* Mon Mar 20 2006 lewing@suse.de
- Fix import dialog to read the copy option.
- Clean up after the import.
* Mon Mar 13 2006 lewing@suse.de
- Update to version 0.1.11
- Fix for 152021
- Fixes upstream bugs
* Wed Feb 22 2006 gekker@suse.de
- Update to version 0.1.10
- Add support for gnome-screensaver
- Fixes many upstream bugs
* Fri Feb 17 2006 gekker@suse.de
- Fixup .desktop file
* Mon Feb 13 2006 gekker@suse.de
- Update to version 0.1.9
- Small import dialog improvements.
- Support for new Flickr API.
- Open With menu.
- Database upgrade path.
- Translated default tag names.
* Tue Jan 31 2006 aj@suse.de
- Remove unneeded Requires and BuildRequires.
* Mon Jan 30 2006 gekker@suse.de
- Update to version 0.1.8
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 meissner@suse.de
- fix for PLUS.
* Tue Jan 17 2006 meissner@suse.de
- use -fstack-protector.
* Tue Jan 17 2006 jpr@suse.de
- Update to version 0.1.7
* Fri Jan 13 2006 gekker@suse.de
- Fixup nfb and Requires for new gtk-sharp2 packaging
* Mon Jan  9 2006 gekker@suse.de
- Fix to build against new mono version 1.1.13
* Mon Dec 12 2005 gekker@suse.de
- Update to version 0.1.5
* Thu Dec  8 2005 gekker@suse.de
- Update to version 0.1.4
* Wed Nov 16 2005 jpr@suse.de
- Patch against new mono 1.1.10 errors.
* Thu Oct 13 2005 ro@suse.de
- fixed category in desktop files
* Tue Oct  4 2005 fejj@suse.de
- Fixed type-o's in f-spot-import script
* Mon Oct  3 2005 gekker@suse.de
- Update to version 0.1.3
* Tue Sep 13 2005 sbrabec@suse.cz
- Require nautilus-cd-burner (#116721).
* Wed Sep  7 2005 gekker@suse.de
- Add dbus to requires (114493)
* Mon Sep  5 2005 aj@suse.de
- Update to version 0.1.2:
  - Use dbus to contact running instances
  - improve error handling.
* Mon Aug 22 2005 gekker@suse.de
- Update to version 0.1.1
- Add f-spot-import script for g-v-m support
- Fix crashes (b.g.o 313850)
- Fix lockup in import dialog
* Fri Aug 19 2005 gekker@suse.de
- Fix requirements to use gtk-sharp2, rather than gtk-sharp
* Tue Aug 16 2005 aj@suse.de
- Add check-build script.
* Mon Aug 15 2005 gekker@suse.de
- Fix crash in Help | About
* Mon Aug 15 2005 jpr@suse.de
- update to 0.1.0, remove patch for upstream fix
* Tue May 31 2005 ro@suse.de
- add directories to filelist below 9.3
* Mon May 16 2005 gekker@suse.de
- Update to version 0.0.13
- Remove upstreamed lib64 patch
* Wed Mar 23 2005 gekker@suse.de
- Update the lib64 patch to also fix the path for libfspotjpg.so.0
* Tue Mar 22 2005 meissner@suse.de
- Do not use full path of libgphoto2.so.2, making
  it work on amd64 systems.
* Sat Mar 19 2005 clahey@suse.de
- Lots of fixes in version 0.0.12.
* Fri Mar 18 2005 gekker@suse.de
- Add f-spot-x86_64.patch to fix f-spot on x86_64 (73660).
* Mon Mar 14 2005 gekker@suse.de
- Add filechooser patch so that files can be select for import
* Mon Mar 14 2005 gekker@suse.de
- Update to version 0.0.11
- Add f-spot-libexif-so.patch to fix required version (72375).
* Fri Mar  4 2005 gekker@suse.de
- Update to version 0.0.10
- Remove upstremed desktop patch
* Fri Feb 25 2005 gekker@suse.de
- Add a patch to install a .desktop file and install the icon
* Mon Feb 21 2005 gekker@suse.de
- Update to 0.0.9
- Add libgphoto2 to neededforbuild and Requires
* Thu Feb 17 2005 gekker@suse.de
- Fix the requires, mono now mono-core add mono-data,
  mono-date-sqlite
* Fri Feb 11 2005 gekker@suse.de
- Update to version 0.0.7
* Wed Feb  9 2005 gekker@suse.de
- Update requires
* Tue Feb  1 2005 gekker@suse.de
- Fix the 64-bi warning patch
- Add f-spot-void-warn.patch
* Tue Feb  1 2005 ro@suse.de
- use new alias "mono-devel-packages" in neededforbuild
* Mon Jan 31 2005 gekker@suse.de
- Fix build with new mono-packages.
- Add f-spot-64bit-warn.patch
* Sat Jan 29 2005 meissner@suse.de
- use RPM_OPT_FLAGS, added libicu26 mono dependency,
* Thu Jan 27 2005 gekker@suse.de
- Initial package submission version 0.0.6
